GWENT: The Witcher Card Game

Select Platform

Cyberpunk 2077

Select Platform

The Witcher 3: Wild Hunt

Select Platform

Thronebreaker: The Witcher Tales

Select Platform

The Witcher

Select Platform

The Witcher 2: Assassins of Kings

Select Platform

"Device not supported" information screen upon logging in on an iOS device

Created 1 year ago  Updated 5 months ago

Please make sure that your device runs iOS 12.0 or newer. The supported devices are iPhone 6s, iPad Mini 4, iPad 5, iPad Air 2, iPad Pro, iPod Touch 7 and newer ones.

Some older devices, despite running iOS 12.0 or newer, are unsupported by GWENT.